 //V1.0 02.12.17 tested
 //this will install gonuts to your system
 //on windows it will only install the environment, while on linux it will also create a symlink in /usr/bin/gonuts to the current binary
 //to install, unpack gonuts to the install location, cd there and call "sudo gonuts install" to invoke this file.
 //(it is important to have admin privileges!)


 function prepare()
 {
 	//locate the gonuts system tools and load them
 	//show license info and return the proper platform depending linefeed string
 	local linefeed=ISWINDOWS?"\r\n":"\n" ;
 	local systools=findsystools() ;
 	if (!script.addarchive(systools))
 	{
 		error("requires systools.pnut in current directory"+linefeed) ;
 		return -1 ;
 	}
 	if (!script.require("gonutscmdl","gonuts/gonutscmdl")) return -1 ;
 	if (!script.require("gonutsenv","gonuts/gonutsenvironment")) return -1 ;
 	::gonutscmdl.printlicenseinfo() ;
 	return linefeed ;
 }

 function main()
 {
 	print("startup\n") ;
 	local linefeed=prepare() ;
 	
 	if (typeof linefeed=="integer") return linefeed ; //error?
 	
 	print("(Re-)Installing gonuts using default configuration..."+linefeed) ;
 	::gonutscmdl.installgonuts();
 	local conffile=::gonutsenv.configpath() ;
 	local path=::gonutsenv.getconf("install.inst",null) ;
 	if (!path) { error("installation failed"+linefeed) ; return -2 ; }
 	print(linefeed+"gonuts installed to "+path+linefeed) ;
 	//just in case systools.pnut is located somewhere ELSE (like /usr/lib/):
 	local systools=findsystools() ;
 	print(systools+"\n") ;
 	if (systools!="./systools.pnut") {
 		system("cp -f \""+systools+"\""+path+"\"") ;
 	}
 	print("configuration file at "+conffile+linefeed) ;
 	local errs=::gonutsenv.configure() ; //configure and get any errors (like missing files)
 	if (typeof errs=="array" && !errs.len()) return 0 ; //all okay?
 	error("gonuts may be misconfigured:"+linefeed) ;
 	foreach (err in errs) error(err+linefeed) ;
 	return 1;
 }
